# Generated by ShowAPI OpenAPI generator
# source: market/3358
# generated-at: 2026-06-26T06:28:31.288Z
openapi: 3.0.3
info:
  title: 智能出行顾问
  description: 融合实时搜索与 AI 大模型能力，综合天气、灾害、地域动态等信息，为用户智能筛选出行时间、推荐交通工具，科学规划安全行程。
  termsOfService: https://www.showapi.com/helpcenter/view#/4019/2
  version: 1.0.0
servers:
  - url: https://route.showapi.com
paths:
  /3358-3:
    x-pointCode: 3
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 查询历史任务
      description: |-
        注意：历史任务只能查询三天内的
        注意：历史任务只能查询三天内的
        注意：历史任务只能查询三天内的
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  page_size:
                    type: number
                    description: 每页返回多少条历史记录
                  page:
                    type: number
                    description: 当前页码
                  message:
                    type: string
                    description: 调用错误信息
                  code:
                    type: number
                    description: 0表示调用成功
                  total:
                    type: number
                    description: 总共有多少条历史记录
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        task_id:
                          type: string
                          description: 任务id
                        task_status:
                          type: string
                          description: 任务状态
                        output:
                          type: object
                          properties:
                            remark:
                              type: string
                              description: 出行提醒
                            dest_city:
                              type: string
                              description: 目的地城市
                            suggestion:
                              type: array
                              items:
                                type: object
                              description: 出行日期建议（详见返回示例）
                            dst_city:
                              type: string
                              description: 出发地
                          description: 任务出参
                        create_time:
                          type: string
                          description: 任务创建时间
                        input:
                          type: object
                          properties:
                            dst:
                              type: string
                            dest:
                              type: string
                          description: 任务入参
                    description: 历史任务列表
                  timestamp:
                    type: number
                    description: 时间戳
      operationId: 3358_3_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                page:
                  type: string
                  description: 查询历史任务的页码
                page_size:
                  type: string
                  description: 每页最多返回多少条任务，最多8条，默认4条
              required:
                - page
  /3358-2:
    x-pointCode: 2
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 查询任务
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    description: 0表示调用成功
                  requestId:
                    type: string
                    description: 请求id
                  timestamp:
                    type: number
                    description: 时间戳
                  message:
                    type: string
                    description: 调用错误信息
                  data:
                    type: object
                    properties:
                      progress:
                        type: number
                        description: 任务预估进度
                      start_time:
                        type: number
                        description: 开始时间
                      end_time:
                        type: number
                        description: 任务结束时间
                      task_id:
                        type: string
                        description: 任务id
                      flow_result:
                        type: object
                        properties:
                          output:
                            type: object
                            properties: {}
                            description: 出参（详见返回示例）
                          input:
                            type: object
                            properties: {}
                            description: 入参
                        description: 任务结果
                      task_status:
                        type: string
                        description: 任务状态：PENDING（排队中）、RUNNING（处理中）、SUCCEEDED（成功）、FAILED（失败）、CANCELED（已取消）、UNKNOWN（未知） |
                    description: 任务信息
      operationId: 3358_2_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                task_id:
                  type: string
                  description: 工作流执行id
              required:
                - task_id
  /3358-1:
    x-pointCode: 1
    x-mode: mapping
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 提交任务
      description: 每个任务预计20秒完成
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    description: 0表示提交成功
                  requestId:
                    type: string
                  timestamp:
                    type: number
                    description: 时间戳
                  message:
                    type: string
                    description: 提交错误信息
                  data:
                    type: object
                    properties:
                      task_status:
                        type: string
                      task_id:
                        type: string
                        description: 任务id
                      start_time:
                        type: number
                        description: 开始时间
      operationId: 3358_1_POST
      parameters: []
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                dst:
                  type: string
                  description: 出发地，比如：徐州
                dest:
                  type: string
                  description: 目的地，比如：保定
              required:
                - dst
                - dest
components:
  securitySchemes:
    AppKeyAuth:
      type: apiKey
      in: query
      name: appKey
      description: 从 ShowAPI 控制台获取的 appKey，管理地址：https://www.showapi.com/console#/myApp
security:
  - AppKeyAuth: []
externalDocs:
  url: https://www.showapi.com/apiGateway/view/3358?tab=book
x-apiCode: "3358"
x-is-own: true
x-is-op: true
